<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/fragment_directions"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="0dp"
    tools:context="com.aegir.demo.fragments.DirectionsFragment"
    android:clipChildren="false">

    <!-- Main Container that clips subviews -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clipChildren="true">

        <!-- Top bar that contains back button and Close button -->
        <FrameLayout
            android:id="@+id/fl_top_bar_container"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@color/color_lokion_gray">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <Switch
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="New Switch"
                        android:id="@+id/switch1"
                        android:visibility="invisible"/>
                </LinearLayout>

            <!--</FrameLayout>-->
        </FrameLayout>
        <!-- Contains selection of directions -->
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="fill_parent"
            android:layout_below="@id/fl_top_bar_container">

            <LinearLayout
                android:id="@+id/ll_direction_options"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="start|top"
                android:layout_margin="0dp"
                android:layout_marginLeft="50dp"
                android:background="@color/color_lokion_gray"
                android:orientation="horizontal"
                android:padding="0dp">


                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:layout_margin="0dp"
                    android:layout_marginLeft="0dp"
                    android:layout_weight="1"
                    android:background="@android:color/transparent"
                    android:orientation="vertical"
                    android:paddingLeft="20dp"
                    android:paddingBottom="40dp"
                    android:focusableInTouchMode="true"
                    android:paddingTop="10dp">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_gravity="center"
                            android:layout_marginRight="5dp"
                            android:src="@drawable/icon_start_point" />

                        <TextView
                            android:id="@+id/tv_start_point"
                            android:layout_width="0dp"
                            android:layout_height="40dp"
                            android:layout_gravity="center_vertical"
                            android:layout_marginLeft="10dp"
                            android:layout_marginRight="20dp"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:hint="@string/tap_your_starting_point_on_the_map"
                            android:paddingLeft="5dp"
                            android:textAppearance="?android:attr/textAppearanceMedium"
                            android:textColor="@color/color_white"
                            android:textColorHint="@color/color_gray"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:layout_marginTop="10dp">

                        <ImageView
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_gravity="center"
                            android:layout_marginEnd="5dp"
                            android:src="@drawable/icon_end_point" />

                        <TextView
                            android:id="@+id/tv_end_point"
                            android:layout_width="0dp"
                            android:layout_height="40dp"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="10dp"
                            android:layout_marginEnd="20dp"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:hint="@string/tap_your_ending_point_on_the_map"
                            android:paddingStart="5dp"
                            android:textAppearance="?android:attr/textAppearanceMedium"
                            android:textColor="@color/color_white"
                            android:textColorHint="@color/color_gray"
                            android:textSize="14sp"
                            android:textStyle="bold" />
                         </LinearLayout>

                </LinearLayout>

                <Button
                    android:id="@+id/btn_go"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_margin="0dp"
                    android:layout_weight="0"
                    android:background="#42f489"
                    android:padding="0dp"
                    android:text="@string/go"
                    android:textColor="#ffffff"
                    android:textStyle="bold" />
            </LinearLayout>
        </RelativeLayout>
    </RelativeLayout>

</FrameLayout>
